### Method

# Foundry BuildStage build

#### Declaration [src]

    DexFuture*
    foundry_build_stage_build (
      FoundryBuildStage* self,
      FoundryBuildProgress* progress
    )

#### Description [src]

Run the build for the stage.

#### Parameters

`progress`

  Type: `FoundryBuildProgress`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.